;nyquist plug-in
;version 1
;type generate
;name "Stille mit einstellbarer Lnge..."
;action "Erzeuge Stille..."
;info " ...nach einem Original von David R. Sky"
;control s1 "Stille" int " Sekunden" 0 0 60
;control s2 " plus" int "Tausendstel" 0 0 999

;; Variable Duration Silence Generator by David R. Sky
;; September 13, 2004
;; 
;; silence duration 1 is whole seconds
;; Silence duration 2 is thousandths of a second (1/1000 s) 
;; length of silence can be from 0.000 s to 60.999 s

; I wanted a specific length of silence appended to a sound 
; such as Steven Jones' Risset Drum,
; in order to repeat the sound as many times as I wanted
; for a rhythmic effect

;;------------------------------------------------------
;;Originalcode von David R. Sky: 
;;
;;control s1 "Silence duration 1" int "seconds" 0 0 60
;;control s2 "Silence duration 2" real "seconds" 0.000 0.000 0.999
;;
;;(setf s1 (max 0 (min (truncate s1) 60)))
;;(setf s2 (max 0 (min s2 999)))
;;(s-rest (sum s1 s2))
;;
;; Davids Code funktioniert bei mir nicht. Die Schiebereglerkstchen
;; weigern sich Realzahlen anzunehmen, solange default = 0 ist, so habe ich 
;; beide Regler auf integer gesetzt und rechne die Tausendstel zu Fuss aus.
;;
;; edgar-rft 20. Mrz 2005
;;-------------------------------------------------------

(setf d (+ s1 (/ s2 1000.0)))
(if (> d 0.0) (s-rest d))
